Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Mosè Giordano <[email-masked]>
Date: Wed, 4 Jan 2017 17:08:16 +0100

Hi Tassilo,

while trying to reproduce the problem reported by Gennady (I can
confirm it), I noticed another glitch.  Now the baseline of the script
is slightly above (below) of "^" ("_"), see the attached screenshot
(left: as it was before, right: as it is now).

Regarding the problem reported by Gennady, also before your latest changes, with

    $1=x^$

the last "$" is raised, as it should be, but adding the "2" fixes the
position of "$" immediately.

Thanks,
Mosè

2017-01-04 13:52 GMT+01:00 Gennady Uraltsev <[email-masked]>:
> Hello Everyone,
>
> I was testing out this new mode and there seems still to be some small
> problem. The simplest case is as follows:
>
> write the following
>
> $1=x^2$
>
> in the standard order and make sure that electric $ mode is off i.e. the
> typing should look like this (with | being the cursor):
>
> |
> $|
> $1|
> $1=|
> $1=x|
> $1=x^|
> $1=x^2|
> $1=x^2$|
>
> Everything works fine. However let's try this order:
>
> |
> $|
> $1|
> $1=|
> $1=x|
> $1=x$|
> $1=x|$
> $1=x^|$
> $1=x^2|$
>
> Notice that $ is then "raised". Now erase the exponents by doing
> $1=x^2|$
> $1=x^|$
> $1=x^$
> The problem is that the closing $ is still raised.
>
>
> When I have more info I'll write more.
>
> Cheers,
>
> Gennady
>
>
> On 03/01/17 18:57, Mosè Giordano wrote:
>> 2017-01-03 16:27 GMT+01:00 Tassilo Horn <[email-masked]>:
>>> Ok, there's a new variable `font-latex-fontify-script-max-level' which
>>> defines up to which scriptification level the script faces are applied
>>> again (thereby causing the decrease in font size).
>>>
>>>> In my pixelated example, position of the baseline starts to be wrong
>>>> after the fifth nested script (but this depends on the font and its
>>>> size), maybe we can stop scaling after the ~4th nested script?
>>>
>>> A problem of the previous version of the feature was that the raise
>>> factors were just added up and didn't account for the fact that the font
>>> size also shrinks.  In the current version, with each level the addition
>>> to the raise value gets smaller (about 80% of the previous addition).
>>
>> I think it's perfect now for most cases!  Thank you so much.
>>
>> Bye,
>> Mosè
>>
>